MAnorm <- function(input,samples,plot=TRUE){

  if(length(input@rawInfo@outliers)!=0){
dataMatrix <- input@rawInfo@data
}else{
  dataMatrix <- input@rawInfo@rawData
}

    dataMatrix <- input@corrInfo@corrData
classes <- input@rawInfo@classes


  
meanDat <- rowMeans((dataMatrix))

#foldChange <- (apply(X=(dataMatrix),MARGIN=2,FUN=foldchange,denom=meanDat))
if(length(samples==1)){
M <- log(dataMatrix[,samples],base=2)-log(meanDat,base=2)
  
A <- 0.5*(log(dataMatrix[,samples],base=2)+log(meanDat,base=2))

if(plot){
  dev.new();
  plot(M~A,pch=16)
}


}else{

  M<-matrix(ncol=length(samples),nrow=nrow(dataMatrix))
  
for(i in c(1:length(samples))){

  
M[,i] <- log(dataMatrix[,samples[i]],base=2)-log(meanDat,base=2)
  
A[,i] <- 0.5*(log(dataMatrix[,samples[i]],base=2)+log(meanDat,base=2))


}

if(plot){
  dev.new();
  plot(M[,1]~A[,1],pch=16)
  for(i in c(2:length(samples))){
  points(M[,1]~A[,1],pch=16)
}
}
}
  

out <- list(M,A)
  names(out) <- c("M","A")
  
return(out)
  
}

#test <- function(x,par){return(anova(lm(x~par))$Pr[1])}
